Page MenuHomePhabricator

2017 dev summit unconference proposal: VisualEditor included: Can we have simpler installs, but all the features?
Closed, ResolvedPublic

Description

Session title

VisualEditor included: Can we have simpler installs, but all the features?

Type of activity

Brainstorming, discussion

Description

Wikimedia is looking into streamlining the installation and maintenance of small wikis and development environments, including major new features like VisualEditor. We have compiled issues and requirements based on past discussions, and are starting to explore options. We would like to discuss and invite feedback on

  1. the requirements, as well as
  2. the main (broad) directions under consideration.

Expected outcome

  • More accurate requirements.
  • Input on the general directions under consideration.

See also

Proposed by

@GWicke

Preferred group size

5-25

Any supplies

Wifi for access to a shared document; ideally a projector to view the shared document.

Interested attendees

Event Timeline

GWicke renamed this task from 2016 dev summit unconference proposal: Taming wiki installation and maintenance: What would it take? to 2016 dev summit unconference proposal: Taming wiki installation and maintenance: What does it take?.Jan 4 2017, 3:44 PM
GWicke updated the task description. (Show Details)
GWicke renamed this task from 2016 dev summit unconference proposal: Taming wiki installation and maintenance: What does it take? to 2016 dev summit unconference proposal: VisualEditor included: Can we have simpler installs, but all the features?.Jan 4 2017, 6:56 PM
GWicke updated the task description. (Show Details)

To the facilitator of this session: We have updated the unconference page with more instructions and faqs. Please review it in detail before the summit: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Unconference. If there are any questions or confusions, please ask! If your session gets a spot on the schedule, we would like you to read the session guidelines in detail: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We would also then expect you to recruit Note-taker(s) 2(min) and 3 (max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be available in all the session rooms! See you at the summit! :)

GWicke renamed this task from 2016 dev summit unconference proposal: VisualEditor included: Can we have simpler installs, but all the features? to 2017 dev summit unconference proposal: VisualEditor included: Can we have simpler installs, but all the features?.Jan 11 2017, 5:41 AM

This was originally scheduled for today, but the slot clashed with other high profile sessions, so we moved it to Wednesday. Lets meet tomorrow at 10 am, in Chapel Hill. This is just before the MediaWiki-Stakeholders-Group meeting. @MarkAHershberger @Physikerwelt @greg @VColeman

@GWicke hey! is there anything remaining for this task? If not, I would close this as resolved!

GWicke closed this task as Resolved.EditedFeb 10 2017, 4:05 PM
GWicke claimed this task.

No, we had the discussion the next day. Discussion notes are available here.

@srishakatux, thanks for the reminder!